Gantry::Utils::PODViewer(3)

NAME
Gantry::Utils::PODViewer - PODViewer application

SYNOPSIS
This module is a POD viewing application. The module expects only the path to an installed Perl module.

  In mod_perl
If the deployment method is mod_perl:

   <Perl>
     use Gantry::Utils::PODViewer qw/-Engine=MP20 -TemplateEngine=TT
         -PluginNamespace=podviewer/;
   </Perl>

   <Location /pod/gantry>
     PerlSetVar pod_dir '/usr/lib/perl5/site_perl/5.8.5/Gantry'
     PerlSetVar app_rootp '/pod/gantry'
     PerlSetVar template_wrapper 'pod_wrapper.tt'
     PerlSetVar css_rootp '/style'
     PerlSetVar img_rootp '/images'

     SetHandler perl-script
     PerlHandler Gantry::Utils::PODViewer

   </Location>

  In CGI
On the other hand, if the deployment method is CGI:

   #!/usr/local/bin/perl
   use strict;

   use CGI::Carp qw(fatalsToBrowser);
   use Gantry::Utils::PODViewer qw( -Engine=CGI -TemplateEngine=TT );
   use Gantry::Engine::CGI;

   my $cgi = Gantry::Engine::CGI->new( {
     locations => {
       '/'        => 'Gantry::Utils::PODViewer',
     },
     config => {
       pod_dir        => '/home/gantry/perl/lib/lib/Gantry',
       app_rootp      => '/cgi-bin/gantry.cgi',
       root           => '/home/gantry/templates',
       template_wrapper => 'pod_wrapper.tt',
     }
   } );

   $cgi->dispatch;

METHODS

do_main
init
namespace

AUTHOR
Tim Keefer <tkeefer@gmail.com>

COPYRIGHT and LICENSE
Copyright (c) 2005-6, Tim Keefer.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.